## clucene-core 2.3.3.4

=== debian/changelog ===
clucene-core (2.3.3.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791004).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:33:45 +0200

clucene-core (2.3.3.4-4) unstable; urgency=low

  * Add bug718187-ftbfs-hurd.patch to fix build failure on HURD.
    Thanks to Pino Toscano. (Closes: #718187)

 -- Fathi Boudra <fabo@debian.org>  Mon, 29 Jul 2013 08:31:38 +0300

clucene-core (2.3.3.4-3) unstable; urgency=low

  * Add bug715474-no-boost-headers.patch to drop boost headers from
    clucene-core. (Closes: #715474)
  * Update debian/control:
    - Upload to Sid.
    - bump Standards-Version to 3.9.3.

 -- Fathi Boudra <fabo@debian.org>  Sun, 28 Jul 2013 15:51:57 +0300

clucene-core (2.3.3.4-2) experimental; urgency=low

  * Update multiarch patch: add multiarch path to pkg-config's cflags.
    (Closes: #684715)

 -- Fathi Boudra <fabo@debian.org>  Tue, 14 Aug 2012 17:39:32 +0300

clucene-core (2.3.3.4-1) experimental; urgency=low

  * New upstream release (Closes: #661703).
  * Convert package to multiarch.
  * Drop obsolete patches:
    - 01_add_missing_include_bug505667.diff
    - 02_posixness_fix_bug530308.diff
  * Add patches:
    - Fixing_ZLIB_configuration_in_shared_CMakeLists.patch
    - Fix-pkgconfig-file-by-adding-clucene-shared-library.patch
    - Install-contribs-lib.patch
    - multiarch.patch
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - update build dependencies (add cmake, libboost-dev and libz-dev).
    - bump Standards-Version to 3.9.3.
    - rename packages due to ABI bump: libclucene0ldbl -> libclucene-core1.
    - add libclucene-contribs1 package.
  * Update debian/rules:
    - rewrite to use CMake.
    - add multiarch support.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Aug 2012 09:33:38 +0300

clucene-core (0.9.21b-2) unstable; urgency=low

  * Restore libclucene0ldbl package name. (Closes: #542337)
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 19 Aug 2009 08:51:17 +0200

clucene-core (0.9.21b-1) unstable; urgency=low

  * New upstream release.
  * Drop '01_stack_fix' patch - fixed upstream.
  * Add patches:
    - 01_add_missing_include_bug505667
      Thanks to Martin Michlmayr. (Closes: #505667)
    - 02_posixness_fix_bug530308
      fix POSIX incompatibilities causing FTBFS on hurd-i386.
      Thanks to Marc Dequènes. (Closes: #530308)
  * Bump debian/compat to 7.
  * Update debian/control:
    - Remove cdbs build dependency.
    - Bump Standards-Version: 3.8.2
    - Replace libclucene0ldbl package by libclucene0 package.
  * Update debian/copyright file.
  * Convert debian/rules to dh_usage.

 -- Fathi Boudra <fabo@debian.org>  Wed, 12 Aug 2009 12:16:43 +0200

clucene-core (0.9.20-3) unstable; urgency=low

  * Lower compat/debhelper to 5.
  * Re-enable static library build.

 -- Fathi Boudra <fabo@debian.org>  Thu, 21 Feb 2008 08:43:54 +0100

clucene-core (0.9.20-2) unstable; urgency=low

  * Re-add stack fix for x86_64. Not merged upstream. (Closes: #460328)
  * Bump compat/debhelper to 6.
  * Update my e-mail address.
  * Use quilt patch system.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Build with --no-undefined and --as-needed linker flags.
  * Disable static library build.

 -- Fathi Boudra <fabo@debian.org>  Thu, 07 Feb 2008 23:59:58 +0100

clucene-core (0.9.20-1) unstable; urgency=low

  * New upstream release.
  * Remove libclucene.la from libclucene-dev package.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 03 Oct 2007 16:04:38 +0200

clucene-core (0.9.16a-4) unstable; urgency=low

  * Set Fathi as maintainer and me as optional uploader
  * Fix for x86_64 segfaults in CLucene (Closes: #435197)
      Thanks to Jonny Lamb for passing on the patch

 -- Daniel Glassey <wdg@debian.org>  Fri, 31 Aug 2007 12:44:59 +0100

clucene-core (0.9.16a-3) unstable; urgency=low

  * Rename libclucene0 to libclucene0ldbl for ldbl128 transition.
    (Closes: #430254)
  * Update control: Replace deprecated ${Source-Version} by ${binary:Version}.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 19 Jul 2007 21:40:30 +0200

clucene-core (0.9.16a-2) unstable; urgency=low

  * Build with -ansi flag. Make sure we use typedef float float_t otherwise
    we get typedef double float_t. It fixes strigi crash on PPC.
    (Closes: #424675)

 -- Fathi Boudra <fboudra@free.fr>  Fri, 15 Jun 2007 20:00:12 +0200

clucene-core (0.9.16a-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Fri,  1 Dec 2006 00:45:51 +0100

clucene-core (0.9.16-1) unstable; urgency=low

  [Fathi Boudra]
  * New upstream release
  * Remove patch for jstream classes merged upstream

 -- Fathi Boudra <fboudra@free.fr>  Tue, 19 Sep 2006 16:40:02 +0200

clucene-core (0.9.15-5) unstable; urgency=low

  [Fathi Boudra]
  * Add patch to update jstream classes for Strigi

 -- Fathi Boudra <fboudra@free.fr>  Fri,  8 Sep 2006 11:26:44 +0200

clucene-core (0.9.15-4) unstable; urgency=low

  [Fathi Boudra]
  * Revert previous change: clucene-config.h is arch/platform specific
    and must be installed in /usr/lib/CLucene

 -- Fathi Boudra <fboudra@free.fr>  Sat,  5 Aug 2006 12:32:34 +0200

clucene-core (0.9.15-3) unstable; urgency=low

  [Fathi Boudra]
  * Install clucene-config.h in /usr/include/CLucene (Closes: #380484)

 -- Fathi Boudra <fboudra@free.fr>  Wed,  2 Aug 2006 12:33:03 +0200

clucene-core (0.9.15-2) unstable; urgency=low

  [Fathi Boudra]
  * libclucene0.shlibs: version less strict

 -- Fathi Boudra <fboudra@free.fr>  Sun,  9 Jul 2006 15:30:04 +0200

clucene-core (0.9.15-1) unstable; urgency=low

  [Fathi Boudra]
  * New upstream release (Closes: #343486)
  * Use real source package name: clucene-core
  * libclucene0.docs: cleanup paths
  * libclucene0.shlibs: update for new release
  * libclucene-dev.install: add clucene-config.h
  * rules:
    * cleanup to use a more common way to package

