## clucene-core 2.3.3.4%2Bdfsg

=== debian/changelog ===
clucene-core (2.3.3.4+dfsg-1ubuntu5) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:46:28 +0100

clucene-core (2.3.3.4+dfsg-1ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:08 +0200

clucene-core (2.3.3.4+dfsg-1ubuntu3) hirsute; urgency=medium

  * Make libclucene-contribs1v5f Conflict/Replace libclucene-contribs1v5

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 17 Feb 2021 22:11:42 +0100

clucene-core (2.3.3.4+dfsg-1ubuntu2) hirsute; urgency=medium

  * Drop defining float_t as double on s390x, rename packages changing the ABI
    to use float_t as float instead (LP: #1915927)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 17 Feb 2021 19:25:01 +0100

clucene-core (2.3.3.4+dfsg-1ubuntu1) hirsute; urgency=medium

  * Fix float_t abi to double ahead of glibc change.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Feb 2021 10:22:06 +0000

clucene-core (2.3.3.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:26:42 +0100

clucene-core (2.3.3.4+dfsg-1) unstable; urgency=medium

  * Update debian/copyright: clarify src/test/data/* copyright and
    distribution terms. (Closes: #821089)
  * Update debian/rules: add prune-nonfree target to remove Reuters test data.
    The free distribution of this data is *for research purposes only*.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Dec 2016 09:40:15 +0200

clucene-core (2.3.3.4-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix GCC version detection. Closes: #812292.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Aug 2016 11:24:56 +0200
