=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: clucene-core
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>
-Build-Depends: cmake (>= 2.8.5), debhelper (>= 8.1.3~), libboost-dev, libz-dev
-Standards-Version: 3.9.4
+Build-Depends: cmake (>= 2.8.5), debhelper (>= 9), libboost-dev, libc6-dev (>> 2.33), libz-dev
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://clucene.sourceforge.net
 
@@ -11,9 +12,12 @@
 Section: libdevel
 Architecture: any
 Depends: libc6-dev,
-         libclucene-contribs1v5 (= ${binary:Version}),
-         libclucene-core1v5 (= ${binary:Version}),
+         libclucene-contribs1v5 (= ${binary:Version}) [!s390x],
+         libclucene-contribs1v5f (= ${binary:Version}) [s390x],
+         libclucene-core1v5 (= ${binary:Version}) [!s390x],
+         libclucene-core1v5f (= ${binary:Version}) [s390x],
          ${misc:Depends}
+Breaks: libc6-dev (<< 2.33) [s390x]
 Description: library for full-featured text search engine (development)
  CLucene is a C++ port of the popular Apache Lucene search engine
  (http://lucene.apache.org/java). It is released under LGPL or the Apache
@@ -29,7 +33,7 @@
  applications that use the CLucene search API.
 
 Package: libclucene-core1v5
-Architecture: any
+Architecture: amd64 arm64 armel armhf hppa i386 m68k mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el nios2 powerpc ppc64 ppc64el riscv64 sparc sparc64 sh3 sh4 x32
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -49,8 +53,29 @@
  This package contains the files necessary for running applications that
  use the CLucene core and shared libraries.
 
+Package: libclucene-core1v5f
+Architecture: s390x
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Conflicts: libclucene-core1, libclucene-core1v5
+Replaces: libclucene-core1, libclucene-core1v5
+Description: core library for full-featured text search engine (runtime)
+ CLucene is a C++ port of the popular Apache Lucene search engine
+ (http://lucene.apache.org/java). It is released under LGPL or the Apache
+ License.
+ .
+ CLucene aims to be a high-speed alternative to Java Lucene, its API is very
+ similar to that of the Java version. CLucene has recently been brought up to
+ date with Lucene 1.4.3. It contains most of the same functionality as the
+ Java version, except for Socket, Threading and the special caching
+ modifications.
+ .
+ This package contains the files necessary for running applications that
+ use the CLucene core and shared libraries.
+
 Package: libclucene-contribs1v5
-Architecture: any
+Architecture: amd64 arm64 armel armhf hppa i386 m68k mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el nios2 powerpc ppc64 ppc64el riscv64 sparc sparc64 sh3 sh4 x32
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -70,3 +95,25 @@
  This package contains the files necessary for running applications that
  use the CLucene contribs library (language specific text analyzers for
  CLucene).
+
+Package: libclucene-contribs1v5f
+Architecture: s390x
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Conflicts: libclucene-contribs1, libclucene-contribs1v5
+Replaces: libclucene-contribs1, libclucene-contribs1v5
+Description: language specific text analyzers (runtime)
+ CLucene is a C++ port of the popular Apache Lucene search engine
+ (http://lucene.apache.org/java). It is released under LGPL or the Apache
+ License.
+ .
+ CLucene aims to be a high-speed alternative to Java Lucene, its API is very
+ similar to that of the Java version. CLucene has recently been brought up to
+ date with Lucene 1.4.3. It contains most of the same functionality as the
+ Java version, except for Socket, Threading and the special caching
+ modifications.
+ .
+ This package contains the files necessary for running applications that
+ use the CLucene contribs library (language specific text analyzers for
+ CLucene).
