=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,10 @@
 	dh_makeshlibs -V
 
 override_dh_auto_test:
+
+prune-nonfree:
+	# The copyright for the text of newswire articles and Reuters
+	# annotations in the Reuters-21578 collection resides with Reuters Ltd.
+	# Reuters Ltd. and Carnegie Group, Inc. have agreed to allow the free
+	# distribution of this data *for research purposes only*
+	rm -rf src/test/data/reuters*
