## clucene-core 2.3.3.4.1

=== debian/changelog ===
clucene-core (2.3.3.4.1-deepin1+rb2) unstable; urgency=medium

  *Fix build on RISCV

 -- Z8MAN8 <1468559561@qq.com>  Tue, 29 Nov 2022 07:41:22 +0000
